# you would normally run this only on development
# then upload and rebuild your website using `bundle exec middleman build`

# require 'bundler/setup'
require 'middleman'
require 'middleman-blog'

require 'artifact'
require 'artifact/middleman'

# all available options for artifact
Artifact.configure do |config|
  config.source_root  = 'source'  # everything else should be under this dir
  config.uploads_path = 'uploads'
  config.drafts_path  = 'drafts'
  config.posts_path   = 'posts'
  config.author_name  = 'Your Name'
  config.author_email = 'your@email.com'
  config.rebuild_args = '--no-clean'
end

map('/admin') do
  run Artifact::Middleman
end

map('/') do
  use WhateverMiddleware
  run Middleman::Application.server # so we can see the live website
end
